import './grouped_action_menu.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { SettingsPrefs, ShowAtConfigPrefs } from '../content/read_anything_types.js';
import type { GroupedActionMenuElement } from './grouped_action_menu.js';
import type { MenuGroup, ToolbarMenu } from './menu_util.js';
export interface AppearanceMenuElement {
    $: {
        menu: GroupedActionMenuElement;
    };
}
declare const AppearanceMenuElementBase: typeof CrLitElement & (new (...args: any[]) => import("//resources/cr_elements/web_ui_listener_mixin_lit.js").WebUiListenerMixinLitInterface);
export declare class AppearanceMenuElement extends AppearanceMenuElementBase implements ToolbarMenu {
    static get is(): string;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        settingsPrefs: {
            type: ObjectConstructor;
        };
        nonModal: {
            type: BooleanConstructor;
        };
        presentationState: {
            type: NumberConstructor;
        };
        groups_: {
            type: ArrayConstructor;
        };
    };
    accessor settingsPrefs: SettingsPrefs;
    accessor nonModal: boolean;
    accessor presentationState: number;
    private colorOptions_;
    private viewOptions_;
    protected accessor groups_: Array<MenuGroup<number>>;
    private logger_;
    willUpdate(changedProperties: PropertyValues<this>): void;
    open(anchor: HTMLElement, showAtConfig?: ShowAtConfigPrefs): void;
    close(): void;
    protected onThemeChange_(e: CustomEvent<{
        data: number;
    }>): void;
    protected onPresentationChange_(e: CustomEvent<{
        data: number;
    }>): void;
    private updateOptionsForTheme_;
    private updateOptionsForPresentation_;
}
declare global {
    interface HTMLElementTagNameMap {
        'appearance-menu': AppearanceMenuElement;
    }
}
export {};
